summaryrefslogtreecommitdiffstats
path: root/crawl-ref/git-hooks/post-receive
diff options
context:
space:
mode:
Diffstat (limited to 'crawl-ref/git-hooks/post-receive')
-rwxr-xr-xcrawl-ref/git-hooks/post-receive13
1 files changed, 13 insertions, 0 deletions
diff --git a/crawl-ref/git-hooks/post-receive b/crawl-ref/git-hooks/post-receive
new file mode 100755
index 0000000000..5125e73991
--- /dev/null
+++ b/crawl-ref/git-hooks/post-receive
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+GIT_DIR=$(git rev-parse --git-dir 2>/dev/null)
+if [ -z "$GIT_DIR" ]; then
+ echo >&2 "fatal: post-receive: GIT_DIR not set"
+ exit 1
+fi
+
+$GIT_DIR/hooks/crawl-ref-email "$@"
+#$GIT_DIR/hooks/crawl-ref-cia "$@"
+
+# BuildBot
+#$GIT_DIR/hooks/git_buildbot.py "$@"